This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 138419 - Installer fails to read HD geometry
Installer fails to read HD geometry
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
: 133225 134514 138430 138431 138625 138838 138866 139106 139126 139154 139178 139215 139764 139838 140261 140294 140399 140858 141010 141540 141904 141919 142064 142689 142763 143479 143546 143656 143693 143749 143778 143882 143972 143976 144213 144235 144964 145086 145259 145618 145731 145936 146295 146350 146432 146540 146598 146768 146893 146996 147301 147345 147963 148760 149452 149980 150501 150581 151184 151202 151553 152192 153075 154105 154629 155037 155205 155454 155996 157335 157765 158156 158163 160032 161259 166215 166631 169421 184030 188907 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 19:55 EST by Steve Sether
Modified: 2007-11-30 17:10 EST (History)
89 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 10:15:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
My Anaconda Dump file. (737.50 KB, text/plain)
2004-11-12 21:25 EST, Lance Rushing
no flags Details
harddrive partition table (512 bytes, text/plain)
2004-11-18 19:38 EST, Patrick E. Whitesell
no flags Details
The first 512 bytes of the hda before the change (512 bytes, text/plain)
2004-11-18 20:43 EST, Michael Setzer II
no flags Details
512 bytes of partition table (512 bytes, application/octet-stream)
2004-11-19 12:26 EST, Jouni Rinne
no flags Details
512 bytes of /dev/hda partition table (512 bytes, application/octet-stream)
2004-11-21 11:28 EST, Matthew Flint
no flags Details
512 bytes of /dev/hda partition table (512 bytes, application/octet-stream)
2004-11-22 14:52 EST, RG Sweat
no flags Details
Anaconda dump file (724.00 KB, text/plain)
2005-02-28 04:51 EST, James Picone
no flags Details
Failure of installation file (724.09 KB, text/plain)
2005-08-18 16:48 EDT, Maurizio Orbisaglia
no flags Details

  None (edit)
Description Steve Sether 2004-11-08 19:55:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Upon booting from CD1, I get a an error message that pops up and says
"Assertion (heads < 256) at disk_dos.c:486 in function
probe_partition_for_geom() failed."  

This happens right after I select the keyboard configuration.  After I
hit ignore, I get another error:
"Assertion ((C * heads + H) * sectors + S == A) at disk_dos.c:495 in
function probe_partition_for_geom() failed."

hitting ignore cycles through these two errors a few times.  These
same errors also appear when attempting to partition the disk with
Disk Druid.  The end effect is of course not being able to partition
the disk.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot from CD1
2.Select your language (I selected english)
3.Select your keyboard type (I selected US.english)

    

Actual Results:  Get error message, can't partition the HD.

Expected Results:  The ability to partition the HD

Additional info:

I have a MSI K7N415 Pro motherboard with an Nforce chipset.  The hard
drive is a Western Digital WD1200JB-32EVA0 120 gig HD with Windows
2000 on the first partition.
Comment 1 Edwin Chan 2004-11-09 03:19:29 EST
A similar bug exists with "Assertion (heads > 0) at disk_dos.c:485" 
with EXT2/3 partitions and IDE hard drives.

Refer to Bug#138430.
Comment 2 Jeremy Katz 2004-11-09 12:58:34 EST
Can you try the update image at
http://people.redhat.com/~katzj/fc3-part-upd.img and see if that helps?

(Instructions for using an update disk are available at
http://rhlinux.redhat.com/anaconda/updatedisks.html)
Comment 3 Jeremy Katz 2004-11-09 12:58:53 EST
*** Bug 138431 has been marked as a duplicate of this bug. ***
Comment 4 Jeremy Katz 2004-11-09 12:59:12 EST
*** Bug 138430 has been marked as a duplicate of this bug. ***
Comment 5 Edwin Chan 2004-11-09 13:35:53 EST
Hmm.. that does not help... it's even worse... it's now a continuous 
loop of the following:

Assertion (heads < 256) at disk_dos.c:492 in function 
probe_partition_for_geom() failed.
Assertion ((C * heads + H) * sectors + S == A) at disk_dos.c:501 in 
function probe_partition_for_geom() failed.
Assertion (heads > 0) at disk_dos.c:491 in function 
probe_partition_for_geom() failed.
Assertion (sectors > 0) at disk_dos.c:495 in function 
probe_partition_for_geom() failed.
Assertion ((c * heads + h) * sectors + s == a ) at disk_dos.c:500 in 
function probe_partition_for_geom() failed.
Assertion ((C * heads + H) * sectors + S == A) at disk_dos.c:501 in 
function probe_partition_for_geom() failed.
Assertion (sectors <= 63) at disk_dos.c:496 in function 
probe_partition_for_geom() failed.
Assertion ((c * heads + h) * sectors + s == a ) at disk_dos.c:500 in 
function probe_partition_for_geom() failed.
Assertion ((C * heads + H) * sectors + S == A) at disk_dos.c:501 in 
function probe_partition_for_geom() failed.
Comment 6 Steve Sether 2004-11-09 19:02:35 EST
I get the same error messages as Edwin with this update, but with no
infinite loop.

(small aside, floppy drives are becoming arcane and somewhat rare. 
Any chance you guys have a CD update mechanism in place?)
Comment 7 Jeremy Katz 2004-11-10 09:40:10 EST
*** Bug 138625 has been marked as a duplicate of this bug. ***
Comment 8 Giovanni Riganti 2004-11-10 10:47:58 EST
With update image, same errors... 

How resolve this problem (for me): using FC3 rescue cd.
Enter in rescue mode, open a shell and create partitions 
( / /boot ...), save & exit
Boot from CD1, no pop-up error. 
install finish with no problem  
Comment 9 cc 2004-11-10 13:28:07 EST
How do you think it will work on a system with windows and fedora? I 
don't want to mess that up when it works fine.
Comment 10 Edwin Chan 2004-11-10 18:51:23 EST
Hmm.... but Giovanni's workaround won't work for upgrading systems.

May be we should provide our partition details for fixing the bug? 
But how?
Comment 11 Daniel Szmandiuk 2004-11-10 21:23:47 EST
I'm experiencing the same problem. However, the history of my laptop 
is rather unusual.

I have a HP Compaq NX9010 with the following history:
(1) Started its life with only WinXP installed.
(2) Partition Magic was used to create space for Redhat 9.0, without 
affecting the existing data on the drive.
(3) Redhat 9.0 installed, and grub dual boot operating nicely
(4) Warnings of an emminent HD failure (strange noises) forced me to 
buy a replacement drive (same size 40GB, but now Samsung 2.5 inch).
(5) Used ghost to create image of dying drive. Luckily, I had not 
lost any data.
(6) Replaced drive
(7) Used ghost to re-image all partitions onto the new Samsung drive.
(8) Everything worked perfectly. Win OK, Redhat 9.0 Linux OK.
(9) Tried to install FC3, and then hit this bug. 

Hope this helps with isolating the problem.
Comment 12 Steve Sether 2004-11-10 22:30:23 EST
Interesting.  I believe I used Ghost to resize and copy my win2k
partition to the current drive.  Could that be the common factor?
Comment 13 Steve Sether 2004-11-10 23:49:38 EST
I can't for the life of me get the workaround that Giovanni spoke of
to work.  I booted into rescue mode, fired up fdisk, created a swap
partition and a /, formatted both and got the exact same problem on
reboot.  Fdisk gives no errors when reading the partition table.
Comment 14 Giovanni Riganti 2004-11-11 02:56:53 EST
I'm sorry but my solution is useful only for a new pc (without
XP/linux), on another client (dual boot XP + FC2, same hardware) on
rescue mode I can see:
/dev/hda1  /boot
/dev/hda2  /
/dev/hda5  /home
/dev/hda6  WinXP
but I am not successful to upgrade or install FC3, only error.


My HD: Model WDC WD800LB-07DNA2 (80026 MB) CHS=16383/255/63
Comment 15 Jeremy Katz 2004-11-11 14:07:05 EST
*** Bug 138838 has been marked as a duplicate of this bug. ***
Comment 16 Jeremy Katz 2004-11-11 14:39:44 EST
*** Bug 138868 has been marked as a duplicate of this bug. ***
Comment 17 Miłosz Staszewski 2004-11-11 16:10:07 EST
And is there any way to use the image mentioned in comment #2 on a
machine with only one CD-RW drive and no floppy drive?
Comment 18 Jouni Rinne 2004-11-12 13:13:27 EST
I have exactly the same problem here, with Seagate ST360021A 60 Mb
drive on Gigabyte GA-7VT880-L motherboard. The drive contains a small
FAT primary partition, created by Win98ME fdisk, and several ReiserFS
/ ext2  logical partitions, originally created with Knoppix's cfdisk.
Most of these are used by my current Slackware 10.0 installation. I
wanted to try out FC3 on a spare ext2 partition, but the installation
failed producing the similar error messages described above.
Comment 19 Jeremy Katz 2004-11-12 13:35:45 EST
I've replaced the original update image with a newer one with the
current MSDOS geometry probing code from parted CVS.  Can you try with
this one and see if it helps?
Comment 20 Michael Setzer II 2004-11-12 18:44:50 EST
I'm having the same problem with the disk_dos.c errors. With the
original version, the error is on 480 and then 485, after the 1st
updaate, it moved to 491 and 496, with the latest one, the error moved
to 550. 

As was suggested in fedora mailing list, I tried going thru it, and
just selecting cancel over and over and over. The installation then
went thru with all 4 CDs, and rebooted, but then when it got to
configuring kernel options, it just sat there. I've currently wiped
the drive on one machine to make sure it will install at all. At the
moment, it is on the second CD with no problem, but I have this lab
with 20 machines, and they need to have 98, XP, and Linux. This has
worked fine with Redhat 9, Fedora Core 1, and Fedora Core 2. 
Comment 21 Tony Wynn 2004-11-12 20:24:18 EST
I'm getting the heads>0 error mentioned and can't get past it.  It's 
a Win 2000 machine but I am going to wipe that out and just install 
FC 3, so I'm not worried about damaging the Win partitions.
Comment 22 Tony Wynn 2004-11-12 20:30:33 EST
I tried the FC2 CD and I get the "Unable to align partion properly.  
This probably means that another partitioning tool generated an 
incorrect partion table..."  I got this error when I installed FC2 on 
a different machine, but was able to ignore it and install FC2 
successfully.  I am able to ignore this error and get to the 
Installation Type screen with the FC2 CD.
Comment 23 Lance Rushing 2004-11-12 21:21:54 EST
I've had the same problem FC3 disk 1.  I'll attach the anaconda dump file.

Hardware: Toshiba Satellite Laptop 1415-S115 Detailed specs here:
http://www.csd.toshiba.com/cgi-bin/tais/su/su_sc_outFrm.jsp?moid=347745&ct=DS&soid=637956

Harddrive setup:

/dev/hda1 NTFS (XP)
/dev/hda2 FAT16
/dev/hda3 Extended
/dev/hda4 Unused (fdisk says 'Linux', but it is unformatted).
/dev/hda5 Linux Swap
/dev/hda6 ResierFS  (Gentoo)

After package selection, anaconda crashes and creates the attached
dump file.  Happens in Graphical and Text installs.  And I ran the
media check.  

Interestingly I also resized my original XP partition with qtparted
(qtparted.sf.net)
Comment 24 Lance Rushing 2004-11-12 21:25:59 EST
Created attachment 106634 [details]
My Anaconda Dump file.
Comment 25 Jeremy Katz 2004-11-12 22:45:22 EST
*** Bug 139126 has been marked as a duplicate of this bug. ***
Comment 26 Mattias Dahlberg 2004-11-13 06:18:55 EST
I have the same problem on a disk that originally was partitioned by 
Fedora Core 1. The assertion errors, using the updated anaconda 
image, are the following (each appearing more than once):

(cyl_size <= 255 * 63) at disk_dos.c:552
(heads < 256) at disk_dos.c:572
((C * heads + H) * sectors + S == A) at disk_dos.c:578
(head_size > 0) at disk_dos.c:564
(heads > 0) at disk_dos.c:571
(sectors > 0) at disk_dos.c:574
((c * heads + h) * sectors + s ==a) at disk_dos.c:577
Comment 27 Edwin Chan 2004-11-13 10:34:10 EST
The newer version of the image is just the same...

Assertion (cyl_size <= 255 * 63) at disk_dos.c:552 in function 
probe_partition_for_geom() failed.
Assertion (heads < 256) at disk_dos.c:572 in function 
probe_partition_for_geom() failed.
Assertion ((C * heads + H) * sectors + S == A) at disk_dos.c:578 in 
function probe_partition_for_geom() failed.
Assertion (cyl_size <= 255 * 63) at disk_dos.c:552 in function 
probe_partition_for_geom() failed.
Assertion (head_size > 0) at disk_dos.c:564 in function 
probe_partition_for_geom() failed.
Assertion (head_size > 0) at disk_dos.c:571 in function 
probe_partition_for_geom() failed.
Assertion (sectors > 0) at disk_dos.c:574 in function 
probe_partition_for_geom() failed.
Assertion ((c * heads + h) * sectors + s == a) at disk_dos.c:577 in 
function probe_partition_for_geom() failed.
Assertion ((C * heads + H) * sectors + S == A) at disk_dos.c:578 in 
function probe_partition_for_geom() failed.
Assertion (cyl_size <= 255 * 63) at disk_dos.c:552 in function 
probe_partition_for_geom() failed.
Assertion (head_size <= 63) at disk_dos.c:565 in function 
probe_partition_for_geom() failed.
Assertion (sectors <= 63) at disk_dos.c:575 in function 
probe_partition_for_geom() failed.
Assertion ((c * heads + h) * sectors + s == a) at disk_dos.c:577 in 
function probe_partition_for_geom() failed.
Assertion ((C * heads + H) * sectors + S == A) at disk_dos.c:578 in 
function probe_partition_for_geom() failed.
Assertion (cyl_size <= 255 * 63) at disk_dos.c:552 in function 
probe_partition_for_geom() failed.
... looks like loop forever
Comment 28 Alan Cox 2004-11-14 07:19:25 EST
*** Bug 139178 has been marked as a duplicate of this bug. ***
Comment 29 Alan Cox 2004-11-14 07:21:16 EST
See comment in bug 139178, 255 heads at least is legal.

Comment 30 Steve Sether 2004-11-14 09:14:22 EST
At least for me Alan Cox's comments seem to be true.  My BIOS reports
255 heads when set to LBA (and that's the mode the drive is set as). 
Also the latest update fixes the problem where disk druid listed my
windows 2000 partition twice.  Once accurately as an NTFS partition,
and again as free space.  Again, that bug was fixed so I felt
comfortable letting disk-druid partition the drive.

I did go through more of the install and was able to partition the
disk, select packages, etc, but I was stopped when it got to the
"installing packages" part after a series of disk_dos.c assertions
being thrown.  Anaconda threw up an unhandled exception dialog error
message and refused to go any further.  The bug given was the ((C *
heads + H) * sectors + S == A) Assertion.    
Comment 31 Matthew Flint 2004-11-15 06:23:54 EST
I see the same symptoms using a partition table that was originally
adjusted (with Partition Magic) way back when I installed RedHat 7.2 :-)

I too get the problem where the first partition (hda1 - ext2) appears
twice, once correctly identified and then again labelled as "free space".

No floppy drive, I'm afraid, so cannot check the update image.
Comment 32 Jeremy Katz 2004-11-15 09:44:00 EST
*** Bug 139106 has been marked as a duplicate of this bug. ***
Comment 33 Jeremy Katz 2004-11-15 10:16:23 EST
*** Bug 139215 has been marked as a duplicate of this bug. ***
Comment 34 Jeremy Katz 2004-11-15 10:25:03 EST
*** Bug 139154 has been marked as a duplicate of this bug. ***
Comment 35 Jeremy Katz 2004-11-15 10:57:34 EST
*** Bug 138866 has been marked as a duplicate of this bug. ***
Comment 36 Benjamin Baez 2004-11-16 19:11:13 EST
Errors during Fedora Core 3 upgrade from Fedora Core 2:

Bug: Assertion (heads > 0) at disk.dos.c:485 in function
probe_partition_for_geom() failed.

Bug: Assertion (sectors <= 63) at disk.dos.c:490 in function
probe_partition_for_geom() failed.


Had used Partition Magic 8 to make partition modifications.  Found a
fix on devshed.com thread.

[root@baezbo04 root]# sfdisk -d /dev/hda | sfdisk --no-reread -H255
/dev/hda --force
 
Disk /dev/hda: 9729 cylinders, 255 heads, 63 sectors/track
Old situation:
Units = cylinders of 8225280 bytes, blocks of 1024 bytes, counting from 0
 
   Device Boot Start     End   #cyls    #blocks   Id  System
/dev/hda1          0+    114     115-    923706   84  OS/2 hidden C: drive
/dev/hda2   *    115    2725    2611   20972857+   7  HPFS/NTFS
/dev/hda3       2726    4826    2101   16876282+  83  Linux
                start: (c,h,s) expected (1023,254,63) found (678,0,1)
                end: (c,h,s) expected (1023,254,63) found (730,254,63)
/dev/hda4       4827    9728    4902   39375315    f  W95 Ext'd (LBA)
                start: (c,h,s) expected (1023,254,63) found (1023,0,1)
/dev/hda5       4827+   8906    4080-  32772568+   b  W95 FAT32
                start: (c,h,s) expected (1023,254,63) found (731,1,1)
                end: (c,h,s) expected (1023,254,63) found (714,254,63)
/dev/hda6       8907+   9168     262-   2104483+  82  Linux swap
                start: (c,h,s) expected (1023,254,63) found (715,1,1)
                end: (c,h,s) expected (1023,254,63) found (976,254,63)
New situation:
Units = sectors of 512 bytes, counting from 0
 
   Device Boot    Start       End   #sectors  Id  System
/dev/hda1            63   1847474    1847412  84  OS/2 hidden C: drive
/dev/hda2   *   1847475  43793189   41945715   7  HPFS/NTFS
/dev/hda3      43793190  77545754   33752565  83  Linux
/dev/hda4      77545755 156296384   78750630   f  W95 Ext'd (LBA)
/dev/hda5      77545818 143090954   65545137   b  W95 FAT32
/dev/hda6     143091018 147299984    4208967  82  Linux swap
Successfully wrote the new partition table
 
Re-reading the partition table ...
BLKRRPART: Device or resource busy
The command to re-read the partition table failed
Reboot your system now, before using mkfs
 
If you created or changed a DOS partition, /dev/foo7, say, then use dd(1)
to zero the first 512 bytes:  dd if=/dev/zero of=/dev/foo7 bs=512 count=1
(See fdisk(8).)


Installation is proceeding at this moment, will find out if Windows XP
SP2 still works after reboot (no big loss if not :P)
Comment 37 Benjamin Baez 2004-11-16 20:48:18 EST
Folow up, after Fedora Core 3 installation and reboot, I now have this
bug: 139467
Comment 38 Brian Hall 2004-11-17 00:40:36 EST
I used rawwrite to run HD images of the 4 CD iso files, and got these
assertion errors:
-before selecting Desktop, 26x, hit "Cancel" each time, proceeded.
-after selecting Manual to format drive (a new 40GB), 39x "Cancel",
proceeded.
-before selecting firewall/no firewall, 10x, "Cancel", proceeded
-after selecting Default package install, 22x, "Cancel", proceeded
Immediately got the Final and Fatal "Exception" from anaconda,
terminated the installation.

The above sequence repeats exactly on subsequent attempts.
Comment 39 Daniel Szmandiuk 2004-11-17 07:12:30 EST
The following work around was successful for me. WinXP and FC3 are 
now successfully operating on my Laptop. Please refer to my earlier 
post regarding the history of my particular system.

Basically, I booted up into the existing Redhat 9.0 OS on my laptop 
and ran:

sfdisk -d /dev/hda | sfdisk --no-reread -H255 /dev/hda

Before you do this, some background reading would be wise.. Have a 
look at:

http://www.fedoraforum.org/forum/showthread.php?t=26297
http://voidmain.is-a-geek.net/forums/viewtopic.php?t=1257&start=15
http://lwn.net/Articles/86835/

Then booted up FC3 D1, and went through the entire install 
successfully, no errors or problems.

Hope this helps some of you out, and hopefully a patch soon.
Comment 40 Martin Ng 2004-11-17 12:35:51 EST
Good that your system is up daniel, i also did what you did and got
both  FC3 and WinXP to boot. 

Although everthing seems to be fine, when i tried to make an image of
the partition, ghost detects errors in the partion and halts. 

So the command sfdisk -d /dev/hda | sfdisk --no-reread -H255 /dev/hda 
merely enables the XP to boot, but the partitions may still be in a mess.

Bug reported: 138866
Comment 41 Benjamin Baez 2004-11-17 13:09:19 EST
Follow up for my comment with my Dell C810

I boot off the FC 3 Rescue CD and 'chroot /mnt/sysimage'

Ran 'grub-install /dev/hda' and everything works!!! (XP and Linux)
Comment 42 Steve Sether 2004-11-17 14:25:26 EST
This same fix worked for me.  It looks like the new version of parted
looks at the geometry of each individual partition, which can
sometimes be wrong.  Does the parted maintainer know about this bug? 
(It seems to be caused by utilities that fail to write the partition
geometry, like ghost.)
Comment 43 Jeremy Katz 2004-11-17 17:42:52 EST
*** Bug 139764 has been marked as a duplicate of this bug. ***
Comment 44 Dermot McGahon 2004-11-18 07:45:59 EST
New ACER Aspire 1524WLMi, FC3 disk one failing to install with 
function probe_partition_for_geom() failed message. Pressing cancel 
does not help. Cursor changes to hourglass and stays that way.

There is Windows XP Home SP2 installed on the hard drive and I am 
reticent to try some of the changes suggested here, as I would like 
to make sure that I don't trash this install.

Can you suggest what I could try in order to get FC3 installed on 
this laptop?
Comment 45 Jeremy Katz 2004-11-18 08:36:58 EST
*** Bug 139838 has been marked as a duplicate of this bug. ***
Comment 46 Steve Sether 2004-11-18 09:16:54 EST
At the moment the only workaround is the sfdisk solution listed above.
 You should only attempt it if your drive geometry has 255 heads,
otherwise I'm not sure what would happen to your windows install.  You
could also try getting an older version of parted and putting it on an
updates floppy.  I believe the version in FC2 didn't read the drive
geometry from each individual partition.  You might also try some
other utility like partition magic to re-write the partition table
correctly.
Comment 47 Richard Dawe 2004-11-18 15:03:24 EST
I also have an Acer Aspire 1524WLMi. I've managed to get the installer
to work - it's on disc 1 at the moment. Here's how:

1. I inserted the Fedora Core 3 rescue disk and entered "linux rescue"
at the prompt.

2. I did "fdisk -l /dev/hda". This showed that the disk does have 255
heads.

3. Since the disk has 255 heads, I could run this command, as
suggested previously:

sfdisk -d /dev/hda | sfdisk --no-reread -H255 /dev/hda

This did correct the number of cylinders for the three FAT32
partitions (main, extended, one inside the extended) from 1022
cylinders to 1023 cylinders. Maybe that was confusing the installer?

I didn't do a "dd if=/dev/zero of=/dev/foo7 bs=512 count=1" on the
main FAT32 partition (labelled "c") or the FAT32 partition within the
extended partition (labelled "f"). I have no idea if this is actually
necessary. (I wasn't too bothered either, since FC3 installer worked.)

Windows XP Home SP2 was still bootable after this. I've completely
wiped the disk subsequently using the FC3 installer. ;)
Comment 48 Andrew Clausen 2004-11-18 16:52:51 EST
Could everyone experiencing the problems please attach their partition
tables by typing:

dd if=/dev/hda of=MYNAME-chs-bug.img bs=512 count=1

Steve wrote this:
> It looks like the new version of parted looks at the geometry of
> each individual partition,

This is correct.

> which can sometimes be wrong.

This is the motivation for looking at each partition individually.
Parted can't tell if it is wrong or not.  (If you have 3 partitions
which all say different things, which one do you believe?)

So, Parted now uses the philosophy: if it isn't broken, don't fix it.
If it is broken, then don't fix it either.

> (It seems to be caused by utilities that fail to write the
> partition geometry, like ghost.)

What do you mean... they just leave the bits as they were before?
I'd like to find out exactly what's going on here...

Thanks!
Andrew Clausen (GNU Parted maintainer)
Comment 49 Patrick E. Whitesell 2004-11-18 19:38:38 EST
Created attachment 107017 [details]
harddrive partition table
Comment 50 Michael Setzer II 2004-11-18 20:43:51 EST
Created attachment 107026 [details]
The first 512 bytes of the hda before the change
Comment 51 Michael Setzer II 2004-11-18 20:46:51 EST
Original sfdisk -l /dev/hda

Disk /dev/hda: 9729 cylinders, 255 heads, 63 sectors/track
Units = cylinders of 8225280 bytes, blocks of 1024 bytes, counting from 0

   Device Boot Start     End   #cyls    #blocks   Id  System
/dev/hda1   *      0+   2432    2433-  19543041    c  W95 FAT32 (LBA)
		end: (c,h,s) expected (1023,254,63) found (1022,254,63)
/dev/hda2       2433    9728    7296   58605120    f  W95 Ext'd (LBA)
		start: (c,h,s) expected (1023,254,63) found (385,0,1)
		end: (c,h,s) expected (1023,254,63) found (512,254,63)
/dev/hda3          0       -       0          0    0  Empty
/dev/hda4          0       -       0          0    0  Empty
/dev/hda5       2433+   4865    2433-  19543041    7  HPFS/NTFS
		start: (c,h,s) expected (1023,254,63) found (385,1,1)
		end: (c,h,s) expected (1023,254,63) found (769,254,63)
/dev/hda6       4866+   4878      13-    104391   83  Linux
		start: (c,h,s) expected (1023,254,63) found (770,1,1)
		end: (c,h,s) expected (1023,254,63) found (782,254,63)
/dev/hda7       4879+   9474    4596-  36917338+  83  Linux
		start: (c,h,s) expected (1023,254,63) found (783,1,1)
		end: (c,h,s) expected (1023,254,63) found (258,254,63)
/dev/hda8       9475+   9728     254-   2040223+  82  Linux swap
		start: (c,h,s) expected (1023,254,63) found (259,1,1)
		end: (c,h,s) expected (1023,254,63) found (512,254,63)

After doing the sfdisk update

Disk /dev/hda: 9729 cylinders, 255 heads, 63 sectors/track
Units = cylinders of 8225280 bytes, blocks of 1024 bytes, counting from 0

   Device Boot Start     End   #cyls    #blocks   Id  System
/dev/hda1   *      0+   2432    2433-  19543041    c  W95 FAT32 (LBA)
/dev/hda2       2433    9728    7296   58605120    f  W95 Ext'd (LBA)
/dev/hda3          0       -       0          0    0  Empty
/dev/hda4          0       -       0          0    0  Empty
/dev/hda5       2433+   4865    2433-  19543041    7  HPFS/NTFS
/dev/hda6       4866+   4878      13-    104391   83  Linux
/dev/hda7       4879+   9474    4596-  36917338+  83  Linux
/dev/hda8       9475+   9728     254-   2040223+  82  Linux swap

This then seems to work for doing the install (The linux at this time
is FC2).
Comment 52 Michael Setzer II 2004-11-18 23:42:07 EST
Well, Thought it was going OK after that. Install went thru
completely, the the machine rebooted, and was going thru the startup
process, gets passed the initialiing hardware... storage network audi
done [OK]
Configuring kernel parameters: 


Then nothing.. Just sits there
Comment 53 Michael Setzer II 2004-11-19 01:52:19 EST
Let it sit for over 1 hour and 20 minutes, and nothing. That was an
upgrade of a everything FC2 installation to FC3.

I then tried it again, but used the new install delete all linux
partions, and when with the very basic install just to see if it would
work. This time, it did fully install and boot up without the lockup
at configuring kernel parameters. But this loses everything on the
linux before, and it installs using the new LVM partition. In this
case, a lab machine, I could reinstall stuff and configure things, but
on many systems doing a new install, would be a major problem to
rebuild everything. 
Comment 54 Dermot McGahon 2004-11-19 04:31:19 EST
Have successfully installed on the Acer Aspire 1524WLMi - by deleting 
the extended partition (D: in windows), using the windows disk 
management tool. Then installing FC2. Then installing FC3.

FC3 and WinXP both installed and bootable.
Comment 55 Steve Sether 2004-11-19 08:01:09 EST
Unfortunately I didn't write down what the partition table looked like
before I used sfdisk, but I do remember that it listed partition hda1
as having 254 heads.  As far as how ghost, partition magic, etc works,
I don't know how it manupulates the partition table written inside
each partition.  My comments about not writing the partition geometry
were only from the empirical evidence.  

I can see the rational behind reading each individual partition
geometry if you're going to re-size it.  At install time though all
you need to do is create a new partition.  Do you need to know the
drive geometry of all the partitions to do this, or can you just rely
on the BIOS to tell you the correct drive geometry?  (A real question,
I know very little about the interals of drive geometry and partition
tables).  From my limited perspective I can also see a potential
problem of taking a drive from an old computer that uses a different
drive geometry method in its BIOS and putting it in a new computer and
wanting to install Linux on it.  You'd hope you can wipe out all the
partitions on it using the install CD and install linux cleanly.  I
suppose parted would let you do this, but throw up all the assertions.

I don't know exactly how parted fits into anaconda.  I'm assuming disk
druid call it, but is it possible parted can put up warning messages
instead of throwing assertions?  I'm assuming that's why anaconda
fails, because it doesn't like the assertions being thrown.  Just a
suggestion, don't know how relevant it is.
Comment 56 Jouni Rinne 2004-11-19 12:26:24 EST
Created attachment 107067 [details]
512 bytes of partition table
Comment 57 Jouni Rinne 2004-11-19 12:37:35 EST
I have a question about the abovementioned sfdisk thing: I couldn't
care less whether it trashes my Windows partition or not, but is it
possible it could damage the other Linux partitions (ReiserFS / ext2)
residing on my /dev/hda? I definitely do NOT want to endanger the
other Linux installations I have... 
Comment 58 Andrew Clausen 2004-11-19 18:45:34 EST
Thanks everyone for the image files.

I think the main problem we were getting was that some partition
programs aren't writing the magic (1023, 255, 63) when the partition
goes past the 1022-cylinder barrier.  The were writing the "correct"
heads/sectors, and an overflowed cylinder value instead.

So, I've changed Parted to ignore the start/end CHS values if the LBA
value indicates that the end of a partition *must* be beyond the 1022
cylinder barrier.

With respect to changing assertions to warnings: I think it's very
important that we get good bug reports.  Adding scary error messages
is the best way to get them.  Besides, when these errors occur in
freshly written code, it isn't clear whether it is a bug or just a bad
partition table.  As we keep discovering common situations that cause
weird behaviour, we can add code to deal with them, as I've just done now.

With respect to going to all this trouble to find geometry, even when
you're not resizing: Parted has no way of knowing what the "correct"
BIOS geometry is (i.e. what the BIOS says it is).  Parted can only
infer it from the partition table and what file systems there are on disk.

Parted needs to know the correct geometry whenever it creates or
resizes a partition to write the partition table correctly.
Comment 59 Michael Setzer II 2004-11-21 09:48:47 EST
Does this mean there is a new linux update disk for this? 
Is it in the same location as the earlier one?
Also, the problem I had with an update install going thru, but then
hanging on the Configuring Kernel option after the reboot, is this
connected, or is that another problem. A install option with a new
setup, and deleting the old Linux partions worked fine, but causes a
total lose of the configuration.
Comment 60 Matthew Flint 2004-11-21 11:28:59 EST
Created attachment 107136 [details]
512 bytes of /dev/hda partition table
Comment 61 Roland Fox 2004-11-22 08:43:52 EST
The same problem happened to my Asus motherboard too. After read
all the discussions, a strage idea hit me. Maybe a little manipulation
on the partition table can solve the problem. So I used Partition 
Magic 8 to resize all my Windows partitions (resize them smaller, then
resize them back to their original size). Dah! The assertions were
finally gone. Now I had installed Fedora Core 3 successfully.
BTW, my PC came with Windows 2K preinstalled. I guess the installion
(by Ghost) somehow didn't create 100% valid ptables.

My configuration:
Asus P4P800, 256 MB, Hitach 80GB * 2, Toshiba DVD ROM
BIOS: Enhanced IDE / S-ATA only
Comment 62 Jeremy Katz 2004-11-22 10:58:41 EST
Can people still seeing problems download
http://people.redhat.com/~katzj/fc3-part-upd.img and use it as an
update image (described at
http://rhlinux.redhat.com/anaconda/updatedisks.html).

This image will update libparted as used within the installer to
parted 1.6.18 and hopefully resolve all of the problems reported.
Comment 63 Jeremy Katz 2004-11-22 11:14:37 EST
*** Bug 140261 has been marked as a duplicate of this bug. ***
Comment 64 Jeremy Katz 2004-11-22 11:16:47 EST
*** Bug 140294 has been marked as a duplicate of this bug. ***
Comment 65 RG Sweat 2004-11-22 14:52:56 EST
Created attachment 107229 [details]
512 bytes of /dev/hda partition table

Using the latese update (http://people.redhat.com/~katzj/fc3-part-upd.img)
fails to find existing installations and hence I'm given no option to upgrade.
Comment 66 Jeremy Katz 2004-11-22 15:01:16 EST
*** Bug 140399 has been marked as a duplicate of this bug. ***
Comment 67 Andrew Clausen 2004-11-22 17:02:45 EST
RG Sweat: Parted 1.6.18 doesn't seem to have any problems with your
partition table.  Perhaps this is a different problem?

(How does Anaconda go about finding existing installations?)
Comment 68 Jeremy Katz 2004-11-22 23:40:12 EST
*** Bug 134514 has been marked as a duplicate of this bug. ***
Comment 69 Arian Prins 2004-11-23 01:44:26 EST
>Can people still seeing problems download
>http://people.redhat.com/~katzj/fc3-part-upd.img 

I did that and it worked perfectly. My Fedora system completely 
installed. Only now, after the install, GRUB is dead in the water. It 
won't load and I can't start any of my OSses (FC3, Win98, WinXP). 
Should I post this at the GRUB bugzilla list? Might it be something 
related?

Comment 70 Terry Henderson 2004-11-24 08:22:56 EST
May be that because GRUB did not get written to the MBR properly it's
another issue alltogether and if you'll just boot into rescue mode and
rewrite GURB to MBR or repair the config file and then run GRUB and
write proper boot loader to MBR, you may resolve your boot issue.
Comment 71 Jeremy Katz 2004-11-25 16:04:17 EST
*** Bug 140858 has been marked as a duplicate of this bug. ***
Comment 72 Michael Setzer II 2004-11-28 06:45:23 EST
Concerning my problem with the Configuring Kernel freese after getting
past this error, it appears to have been the nvidia driver in the
xorg.conf. Changed it to vesa before running update, and it ran thru
with no problem.
Comment 73 Jeremy Katz 2004-11-28 17:02:47 EST
*** Bug 141010 has been marked as a duplicate of this bug. ***
Comment 74 Allen Diers 2004-11-29 01:32:31 EST
Roland Fox: I had the failure with the Assertion errors, only I have 
an Intel D865PERL board, Maxtor 60GB SATA. Windows 2000 on the first 
partition. A small FAT32 after that. The original partitions were 
created with W98 fdisk. W2K was then installed from the boot CD. I 
already own Partition Magic 8 so resized the Windows partitions 
slightly to rewrite the table and that fixed the problem. Now I am on 
the way to install FC3.
Comment 75 Kenny Gow 2004-11-29 18:42:18 EST
Here's my fix for this error:

I was trying to install FC3 over FC2 on a disk that was dual-booting
Windows 2000 and FC2. I booted up Knoppix and used cfdisk to read and
re-write the partition table to disk. No changes to partitions were
made. Then I could install FC3 without getting the Assertion error. 
Since I had recently re-imaged this disk via Ghost, I guessed that the
partition table was not readable by the FC3 install program, so I used
the most compatible disk partition tool, cfdisk, to re-write the
partition table back to disk. After that FC3 installed without errors
and with Grub I can boot FC3 or Windows now. 
Comment 76 Jorge Fábregas 2004-11-29 19:31:02 EST
I used Kenny Gow's fix (above comment) on my laptop after he posted it
on fedora-list and it works! (Thank you Kenny).  I downloaded the
latest Knoppix and used cfdisk to write partition table again (no
changes). Then I tried the FC3 installation and everything went fine
this time.

My laptop is a Dell Inspiron 8100. I had 3 partitions on it: FC2,
Win2K and a swap partition. I didn't use any special partitioning tool
(part.magic etc). What I used to create these partitions back then was
the FC2 installer itself. 

The only strange thing I did that time (and I think it might be
somewhat related to this problem) is that I followed the instructions on:
http://www.redhat.com/archives/fedora-devel-list/2004-May/msg00908.html
in order to prevent the dual-problem back then.  Basically, I had to
specify the disk geometry to the kernel while booting FC2 disk 1.

HTH.
Comment 77 Thomas J. Andrews 2004-11-30 23:11:44 EST
I ran into the exact same problem. I'm trying to install FC3 in a dual
boot setup with Windows 98SE. I'm using a Biostar M7VIG Pro-D
motherboard with an Athlon XP 1900+ processor and 512 Mb of PC2100 ddr
RAM and a 40 Gb 7200 rpm Maxtor drive. I tried several partition
creators, including Windows 98 fdisk, Mandrake Linux, and Maxtor's
MaxBlast 3.6. Same result each time.

This may or may not be related, but I had a somewhat similar problem
partitioning with Mandrake 10.0 Official. No matter what I tried, the
Mandrake installer wouldn't partition properly. The way I finally made
Mandrake work was to partition the drive with Mandrake 9.1, then use
the existing partitions with the 10.0 installer. Mandrake 9.1
partitions correctly every time.

One of the big differences between the Mandrake 10.0 and 9.1 versions
is the kernel. 10.0 uses 2.6, while 9.1 uses 2.4. FC3 uses the 2.6
kernel, too. Could this have something to do with the problem?

TJ
Comment 78 Martin Ng 2004-12-01 02:19:46 EST
Hi there Thomas Andrews,
I already tried that. Did a minimal FC2 install and then upgraded to 
FC3. Same problem. Bug reported in 138866.
Comment 79 cc 2004-12-01 03:35:37 EST
Hi

I used http://people.redhat.com/~katzj/fc3-part-upd.img 
and it worked fine. 

I have windows2003 and fc1 on the same computer. I did use ghost to 
to make a image and when putting that back again may have been the 
problem. Because when I updated a computer with windows 2003 and 
redhat 9 it updated fine. I haven't used ghost on that computer.
Comment 80 Jeremy Katz 2004-12-01 16:52:02 EST
*** Bug 141540 has been marked as a duplicate of this bug. ***
Comment 81 David 2004-12-04 09:33:11 EST
I have the same problem, also duplicated both of my harddisks with
ghost. As I am an absolute Linux-newbie, I would like to get some kind
of step-by-step workaround that actually works. Kenny Gow's fix seems
to work, so what exactly do I have to do in Knoppix?
Comment 82 Jeremy Katz 2004-12-05 21:50:46 EST
*** Bug 141919 has been marked as a duplicate of this bug. ***
Comment 83 Jeremy Katz 2004-12-06 11:20:29 EST
*** Bug 141904 has been marked as a duplicate of this bug. ***
Comment 84 Richard Duran 2004-12-06 16:29:26 EST
The workaround for us is to remove existing NTFS partitions.
Obviously, this won't work if you are trying to dual-boot.
Comment 85 Alan Hagge 2004-12-06 16:35:12 EST
I'm having the same issues.  FC3 & Windows XP installed in a dual-boot
config using Norton's Ghost 8 to put it there.  Partition table
entries are not in disk order.

I tried using Kenny Gow's workaround, but using fdisk instead of
cfdisk (which others have claimed has its own problems), but no
joy...Ghost can't read the resulting partition table.

I'm interested in trying out Jeremy Katz's updated image
(http://people.redhat.com/~katzj/fc3-part-upd.img), but I need an
equivalent update to the boot.iso file, as I'm forced to used a boot
CD due to driver issues.

Jeremy, any chance of getting an update to that (maybe using the
LATEST partimage library...it appears that they've updated again (to
1.6.19).  Also, if this works for enough people, will there be an
"official" update to the FC3 images to incorporate these fixes?
Comment 86 Alan Hagge 2004-12-06 17:01:28 EST
Update:  Sorry, I didn't understand the update image.  I WAS able to
install successfully after using Jeremy's updated image.  HOWEVER, it
appears that parted is still genterating a partition table which Ghost
can't understand.  If I try to create an image from the updated
client, Ghost aborts with a "Read sector failure, result=1, drive=0,
sectors=-456237413 to -456237411".

I'd report it to Symantec, but I've read other reports of parted not
generating completely "correct" entries, in particular when people try
to downgrade from ext3 to ext2, IIRC.

Anyway, this is one additional report of success with the update
image.  Hopefully this update will make its way into an "official" FC3
updated image set.
Comment 87 Jeremy Katz 2004-12-06 19:45:01 EST
*** Bug 142064 has been marked as a duplicate of this bug. ***
Comment 88 Michael Setzer II 2004-12-06 22:28:24 EST
In regards to Comment #86, you might want to see if this solves the
problem. Do a shutdown -r -F now. What I have seen, is that it fails
during the scan, and you then login with the root ID, run fsck, and it
doesn't seem to find any problems, but then running the shutdown -r -F
now, goes thru with no error, and then ghost was working. Not 100%
sure this is what did it, but it got pasted the error you mentioned,
but did not go thru the whole process of making an image. G4U seemed
to have no problem with it either way.
Comment 89 Lee Cheng Wei 2004-12-07 01:27:16 EST
Read through the instructions for creating an update disk. Seems that 
both instructions only work if I've at least a working Linux 
installed.

What if I don't have any version of installed, working Linux & I need 
to dual-boot (as killing my Windows data is simply too expensive to 
be even considered)?

What can I do to get that image update disk? And what should I do 
after having that disk?
Comment 90 Alan Hagge 2004-12-07 10:32:23 EST
Regarding comment #89, actually, it's not quite true.  You can
download the image update disk per the link above, then you can get
and use rawrite (http://www.fdos.org/ripcord/rawrite/) under Windows
to write the image to a floppy.  Then use "linux updates" at the boot
prompt (instead of just hitting <Return>) during the first part of the
install from your original CD-ROM media.
Comment 91 Alan Hagge 2004-12-07 10:42:26 EST
Regarding Comment #88, I never even BOOT the installed Linux. 
Basically, here's what I do:
- Ghost functional RedHat 9/Windows XP dual-boot image onto machine
- Use FC3 boot CD and update diskette
(http://people.redhat.com/~katzj/fc3-part-upd.img) to install FC3 over
RH9 (blowing away all Linux partitions in the kickstart file and
having the FC3 installer re-create them).
- As soon as the installer finishes and shuts down, attempt to Ghost
resulting HD to Ghost server.  This step fails with the messages in
Comment #86.
Comment 92 Satish Sharma 2004-12-07 20:04:44 EST
Jermey,
Why don't you guys update the image of the first Disk .. or provide an
alternate "first" disk with a new MD5 checksum.

I am concerned that the "update" or   "patch" might be breaking other
things .. is that possible ?
Comment 93 Lee Cheng Wei 2004-12-07 20:36:19 EST
Alan: Thanks for your suggestions. I've managed to install FC3 
successfully with my Win2k server. For now, both seems to work fine, 
together.

Jeremy: I agree with Satish on updating the installation cds. That 
would be easy for people who had just downloaded the cds.

Comment 94 Thomas J. Andrews 2004-12-08 23:57:23 EST
Success! I now have Windows 98SE and FC3 cohabitating the same system,
and both appear to be working. To get it there, I ran cfdisk from
Mandrake 10.0 and used it to re-write the partition tables of both my
hard drives. At that point Anaconda stopped producing the above error
messages. 

As a precaution, I backed out of Anaconda before it did anything, and
proceded to make a new backup image of my Windows drive. While I was
there, I installed my new copy of Partition Magic 8 and ran it. I'm
glad I did, because right away it detected two errors with the main
drive partitions. Mandrake had obviously not partitioned that drive
correctly during its installation.

I told Partition Magic to fix the errors, made my backup image, and
installed FC3. Everything appears to be working perfectly, or at least
it will be when I get the FC3 configuration the way I want it.
Comment 95 Chris McGraw 2004-12-09 15:54:47 EST
Any chance of an updated ISO? I'm running into this same problem, and I'd like to try 
Jeremy's updated IMG but my floppy drive no longer works. :( 
Comment 96 Joe Dunleavy 2004-12-10 20:38:51 EST
I too would like to request and updated iso as I have no floopy on my
linux machines (only cd).
Comment 97 Jeremy Katz 2004-12-12 20:39:42 EST
*** Bug 142689 has been marked as a duplicate of this bug. ***
Comment 98 Jeremy Katz 2004-12-14 09:34:43 EST
*** Bug 142763 has been marked as a duplicate of this bug. ***
Comment 99 David Divine 2004-12-14 12:41:44 EST
I also was experiencing this and have since found a solution to this
issue. I did a low level format on my hd, and afterward, Fedora Core 3
installed without a problem.
Comment 100 Jeremy Katz 2004-12-21 11:27:00 EST
*** Bug 143479 has been marked as a duplicate of this bug. ***
Comment 101 Jeremy Katz 2004-12-22 09:24:11 EST
*** Bug 143546 has been marked as a duplicate of this bug. ***
Comment 102 Jeremy Katz 2004-12-23 10:12:53 EST
*** Bug 143656 has been marked as a duplicate of this bug. ***
Comment 103 Jeremy Katz 2004-12-24 10:45:58 EST
*** Bug 143693 has been marked as a duplicate of this bug. ***
Comment 104 Jeremy Katz 2004-12-26 21:01:35 EST
*** Bug 143749 has been marked as a duplicate of this bug. ***
Comment 105 Peter Dettmann 2004-12-26 22:50:35 EST
My experience is different to David Divine, as I also tried a low 
level format, but this did not solve the installation problem.  I 
then applied the floppy update, and the installation proceeded 
without error.  Sygate Disk Wizard reported the same HD settings 
before, and after the installation.
Comment 106 Jeremy Katz 2004-12-27 13:27:22 EST
*** Bug 143778 has been marked as a duplicate of this bug. ***
Comment 107 Brad Smith 2004-12-28 11:20:17 EST
Like several of the people posting to this bug I have run into this
problem, am grateful for a solution in the form of Jeremy Katz's
update floppy image but do not have a working floppy drive at my
disposal (one system, for example, is a laptop that can't use floppy
and CD at once). Before I can upgrade I will need a fixed boot.iso is
there any chance of this happening sometime soon?

Thanks!
--Brad
Comment 108 Jeremy Katz 2004-12-31 15:07:05 EST
*** Bug 143882 has been marked as a duplicate of this bug. ***
Comment 109 Troy Wampler 2005-01-02 21:31:48 EST
Trying to install FC3 x86_64 on a Athlon64 with Asus K8N-E motherboard
still fails after using the updates disk provided at: 
http://people.redhat.com/~katzj/fc3-part-upd.img
Comment 110 Jeremy Katz 2005-01-02 23:25:30 EST
*** Bug 143972 has been marked as a duplicate of this bug. ***
Comment 111 Jeremy Katz 2005-01-02 23:25:53 EST
*** Bug 143976 has been marked as a duplicate of this bug. ***
Comment 112 Jeremy Katz 2005-01-04 21:20:33 EST
*** Bug 144213 has been marked as a duplicate of this bug. ***
Comment 113 Jeremy Katz 2005-01-05 10:20:57 EST
*** Bug 144235 has been marked as a duplicate of this bug. ***
Comment 114 Espen Isaksen 2005-01-06 09:38:49 EST
Just want to add that I got the same bug installing FC3 on a IBM T30.
However, I solved it by removing my CF-card in the PCMCIA slot. :-)
Comment 115 J. Erik Hemdal 2005-01-07 19:44:53 EST
Same issue here:

Dell Dimension 4100 (Intel 815 chipset) Pentium III CPU
Disks are 
1)	hda WDC WD200BB-75AUA1 (20GB) FAT32
2)	hdb Maxtor 6Y160P0 (160GB) 80GB FAT32 (Windows ME boot disk) 
followed by 80GB unpartitioned space.

I get both assertion errors:

assertion (heads < 256) at disk_dos.c:486 failed in function 
probe_partition_for_geom().
assertion (((C * heads + H) * sectors + S == A) at disk_dos.c:495 
failed in function probe_partition_for_geom()

This repeats nine times before presenting me with the opportunity to 
partition the disk.

After choosing manual partitioning, these assertion failures appear 
12 more times in succession before displaying the Disk Druid screen.

Disk Druid shows an incorrect display for the Maxtor disk (hdb).   
Disk Druid shows device hdb1 at sectors 1 to 10061 and free space 
from sectors 1 to 19930.  This seems to be incorrect, and I stopped 
installation at this point to avoid data loss on my drive.

Another vote for an updated image.
Comment 116 David Jansen 2005-01-12 07:34:05 EST
I have seen the bug on many systems, and in most cases, removing
unneeded partitions or the sfdisk trick worked.
Now I'm faced with installing Fedora on a new Sony Vayo VGN-T1XP/L and
there are two complicating factors:
- it has no floppy drive, so how to get the installer update onto the
system?
- it has a hidden partition with system restore information, and most
partitioning tools don't want to touch this (and neither do I, since I
need to have windows on this system as well, and all that the recovery
dvds seem to do is restore this partition and recover from there)
So, any chance of an updated boot.iso of should I install FC2 or wait
for FC4 ?
Comment 117 Jeremy Katz 2005-01-12 22:07:36 EST
*** Bug 144964 has been marked as a duplicate of this bug. ***
Comment 118 david 2005-01-12 23:43:02 EST
I am also get same error everyone stated above on my IBM T30. I have 
XP and FC2 installed. When trying to install FC3 I get:Bug: Assertion 
(heads > 0) at disk.dos.c:485 in function
probe_partition_for_geom() failed.

Bug: Assertion (sectors <= 63) at disk.dos.c:490 in function
probe_partition_for_geom() failed.

I copied xp and FC2 on this drive with ghost.
Comment 119 Jeremy Katz 2005-01-14 09:31:40 EST
*** Bug 145086 has been marked as a duplicate of this bug. ***
Comment 120 peter gahzinia 2005-01-14 12:49:25 EST
Using the updated img at
http://people.redhat.com/~katzj/fc3-part-upd.img I was able to install
FC3 just fine. So now I have win 2k and FC3 working just fine. 

Thanks!
Comment 121 Jeremy Katz 2005-01-15 22:06:16 EST
*** Bug 145259 has been marked as a duplicate of this bug. ***
Comment 122 Daniel Dutton 2005-01-19 17:49:28 EST
Just a quick note. I had exactly the same problem and disabling my
'data disk' (in the BIOS) on the secondary master sorted it out.
Comment 123 Jeremy Katz 2005-01-21 08:20:47 EST
*** Bug 145731 has been marked as a duplicate of this bug. ***
Comment 124 Chris Lumens 2005-01-21 13:23:15 EST
*** Bug 133225 has been marked as a duplicate of this bug. ***
Comment 125 Simon Arthur 2005-01-21 17:46:18 EST
I saw a similar error when trying to upgrade a FC2 installation.  
  
The fixes listed here did not work. The drive was using EZ-Drive  
partitions. I strongly suspect that this was causing the trouble, as  
little good has ever come of EZ-Drive. I'm not sure how I got FC2  
installed in the first place.  
  
I ended up copying everything to a new hard drive, then doing a fresh  
install.  
Comment 126 Jeremy Katz 2005-01-24 13:44:43 EST
*** Bug 145936 has been marked as a duplicate of this bug. ***
Comment 127 Phillip Jones 2005-01-24 17:38:43 EST
Hi,

Just doing:

linux /dev/hda=9729,255,63

at the boot prompt sorted it for me - obviously would be different 
for each HDD, but I guess it's having it in the nnnn,255,63 format 
that matters. Sony VGN-A197VP (no BIOS settings!!) if it helps anyone 
else.

---Phil

Comment 128 Jeremy Katz 2005-01-26 15:07:56 EST
*** Bug 146295 has been marked as a duplicate of this bug. ***
Comment 129 Jericho 2005-01-27 00:25:40 EST
hello , my original OS is win98 ,the IDE0 primary master has 
installed a    maxtor 60G HD,divide it into C D E F,respectively, 
when I install from CD1 of  FC3, I met also the same problem similar 
above, that is,

Assertion (heads < 256) at disk_dos.c : 486 in 
function_probe_partion_for_geom() failed 

Assertion (( c*heads+H)*sectors+S ==A) at disk_dos.c : 495 in 
function_probe_partion_for_geom() failed 

Assertion (heads > 0) at disk_dos.c : 488 in 
function_probe_partion_for_geom() failed 

Assertion (heads < = 63) at disk_dos.c : 490 in 
function_probe_partion_for_geom() failed 

After review the solution above , re-partition can't avoid !!
but I want to preserve the original Win98,
is there any partition method or tool for me to complete the task ??
anybody   suggest ??


thanks
Comment 130 Jericho 2005-01-27 00:27:38 EST
hello , my original OS is win98 ,the IDE0 primary master has 
installed a    maxtor 60G HD,divide it into C D E F,respectively, 
when I install from CD1 of  FC3, I met also the same problem similar 
above, that is,

Assertion (heads < 256) at disk_dos.c : 486 in 
function_probe_partion_for_geom() failed 

Assertion (( c*heads+H)*sectors+S ==A) at disk_dos.c : 495 in 
function_probe_partion_for_geom() failed 

Assertion (heads > 0) at disk_dos.c : 488 in 
function_probe_partion_for_geom() failed 

Assertion (heads < = 63) at disk_dos.c : 490 in 
function_probe_partion_for_geom() failed 

After review the solution above , re-partition can't avoid !!
but I want to preserve the original Win98,
is there any partition method or tool for me to complete the task ??
anybody   suggest ??


thanks
Comment 131 Chris Lumens 2005-01-27 10:33:09 EST
*** Bug 146350 has been marked as a duplicate of this bug. ***
Comment 132 Jeremy Katz 2005-01-27 22:58:48 EST
*** Bug 146432 has been marked as a duplicate of this bug. ***
Comment 133 Jeremy Katz 2005-01-29 09:47:14 EST
*** Bug 146540 has been marked as a duplicate of this bug. ***
Comment 134 Mukund S. Chiplunkar 2005-01-31 12:58:47 EST
With reference to #120 in the list above, I am still unable to load 
the operating system, even after using update image. Is there any 
workaround available? Or do I have to give up on Linux? (Bug report 
146350 was filed by me!)
Comment 135 Jeremy Katz 2005-02-01 10:37:21 EST
*** Bug 146768 has been marked as a duplicate of this bug. ***
Comment 136 Jeremy Katz 2005-02-01 16:14:28 EST
*** Bug 146598 has been marked as a duplicate of this bug. ***
Comment 137 Chris Lumens 2005-02-02 11:51:42 EST
*** Bug 146893 has been marked as a duplicate of this bug. ***
Comment 138 Jeremy Katz 2005-02-03 11:48:22 EST
*** Bug 146996 has been marked as a duplicate of this bug. ***
Comment 139 Jeremy Katz 2005-02-07 10:25:04 EST
*** Bug 147345 has been marked as a duplicate of this bug. ***
Comment 140 Steve Januario 2005-02-07 11:56:57 EST
I experienced the same problems using a ghost image with fedora core
3. I was able to work around it by installing fedora core 2 and then
installing fedora core 3 over it. 
Comment 141 John Bach 2005-02-09 17:30:52 EST
The problem with Ghost 8.0 and Fedora Core 3 are the ways that SeLinux
and the new OS set attributes on the EXT2 and EXT3 filesystem types. 
There are some forums that talk about the issue.   

I have not seen a fix that worked in my tests yet.  I'm guessing that
sector copies are going to be the only way with ghost.
Comment 142 picc2001 2005-02-12 17:10:56 EST
Same problem installing FC3 on a PC whith XP (Master HD) and a free 
slave HD. 

Master = ST340014A (Barracuda - Segate)=> XP installed.
Slave HD = Quantum DireballIct1010. Free (old) HD.
Comment 143 Jeremy Katz 2005-02-14 10:40:27 EST
*** Bug 147963 has been marked as a duplicate of this bug. ***
Comment 144 Jeremy Katz 2005-02-15 08:59:52 EST
*** Bug 148760 has been marked as a duplicate of this bug. ***
Comment 145 Marc Lefranc 2005-02-21 03:06:30 EST
I am having the same problem on FC3 x86_64. Hitting the Ignore button
allows me to go as far as Package selection but the installer explodes
just after with the same error as described above. For the record, I
have a single Windows XP partition on hda1 (100 GB) that was created
by the Windows installer

I tried 1) the sfdisk trick, 2) fdisk the disk in advance, creating
manually the new linux partitions, 3) to use the update floppy image,
to no avail. Might it be that this image updates a 32-bit library but
not the 64-bit one?
Comment 146 Jeremy Katz 2005-02-23 12:17:03 EST
*** Bug 149452 has been marked as a duplicate of this bug. ***
Comment 147 James Picone 2005-02-28 04:51:34 EST
Created attachment 111467 [details]
Anaconda dump file
Comment 148 Paul Nasrat 2005-03-01 05:42:03 EST
*** Bug 149980 has been marked as a duplicate of this bug. ***
Comment 149 J. Erik Hemdal 2005-03-01 10:14:57 EST
I want to close the loop on my part of this bug.  I finally got FC3 to 
install, but not in the way I wanted to.  To make things work, I had to move 
WinME back to /dev/hda, and split /dev/hdb into several smaller partitions to 
avoid the assertion failures.

I noticed that by doing this outside of anaconda, I could get past the 
assertions and reach the Disk Druid part of the install.  Once there, I could 
(if I wished) repartition again creating a large partition on the drive.  This 
makes me wonder about the rationale for the assertions; although (to be fair) 
I did not actually try to run the system with a large partition.

Comment 150 Michael 2005-03-03 10:57:35 EST
Ran into the same problem building a frankenstein system with several
old disk drives, both SCSI and IDE. There were a variety of Win32
partitions on the disks. 

I got the assertion failures above (heads > 0, sectors <= 63) and
found this bug report. 

In my case it seems to have been triggered by cylinder alignment of
old partitions. 

This solution worked for me:
 - started FC3 install process in graphics mode
 - used ALT-F2 to bring up text terminal
 - fdisk /dev/hda
 - deleted all partions
 - write partition table
 - repeat for /dev/hdc, /dev/hdd, /dev/sda

Restarted the install ... cleanly installed FC3 without any complaints
at all. 

Comment 151 Chris Lumens 2005-03-08 11:18:47 EST
*** Bug 150501 has been marked as a duplicate of this bug. ***
Comment 152 Chris Lumens 2005-03-09 16:27:38 EST
*** Bug 150581 has been marked as a duplicate of this bug. ***
Comment 153 Jeremy Katz 2005-03-15 15:16:39 EST
*** Bug 151184 has been marked as a duplicate of this bug. ***
Comment 154 Jeremy Katz 2005-03-15 19:15:48 EST
*** Bug 151202 has been marked as a duplicate of this bug. ***
Comment 155 Chris Lumens 2005-03-21 09:39:25 EST
*** Bug 151553 has been marked as a duplicate of this bug. ***
Comment 156 ron shenk 2005-03-21 20:37:00 EST
The "linux updates" solution (for replacing the partition geometry problem)
does not work for me because I can't boot from my CD drive and must use
loadlin on the isolinux\vmlinuz.  This by passes the boot: prompt.

ron shenk
Comment 157 ron shenk 2005-03-21 20:38:41 EST
The "linux updates" solution (for replacing the partition geometry problem)
does not work for me because I can't boot from my CD drive and must use
loadlin on the isolinux\vmlinuz.  This by passes the boot: prompt.

ron shenk
Comment 158 Matthew Miller 2005-03-21 22:17:29 EST
loadlin can take boot parameters too. Check the loadlin documentation for how to
do it -- because of issues with DOS and capitalization, it's best to use a file
with the parameters in it.
Comment 159 Bevis King 2005-03-22 05:12:51 EST
I'm seeing the same problem with a Sony VAIO notebook, specifically a VGN-B1XP,
which reports the following:

Bug
Assertion (heads > 0) at disk_dos.c:485 in function probe_partition_for_geom()
failed
96

Bug
Assertion (sectors <= 63) at disk_dos.c:490 in function
probe_partition_for_geom() failed
96

The cause of this appears to be a rather odd initial partition table established
by Sony when pre-installing XP on this machine - the partition table is:

Disk /dev/hda: 60.0GB, 60011642880 bytes
255 heads, 63 sectors/track, 7296 cylinders
Unit = cylinders of 16065 * 512 = 8225280 bytes

     Device   Boot     Start   End    Blocks  Id   System
/dev/hda1                  1   912   7325608  12   Compaq diagnostics
/dev/hda2      *         913  4560  29302560   7   HPFS/NTFS
/dev/hda3               4561  7296  21976920   f   W95 Ext'd
/dev/hda5               4561  7296  21976888+  7   HPFS/NTFS

Wierd partition table.

Anyways, booting Linux Rescue, going to the command prompt, firing up fdisk and
wiping out the partition table completely then permits the install to work normally.

Regards, Bevis.    
Comment 160 Chris Lumens 2005-03-28 10:46:19 EST
*** Bug 152192 has been marked as a duplicate of this bug. ***
Comment 161 Chris Lumens 2005-04-01 14:35:01 EST
*** Bug 153075 has been marked as a duplicate of this bug. ***
Comment 162 Chris Lumens 2005-04-07 09:07:35 EDT
*** Bug 154105 has been marked as a duplicate of this bug. ***
Comment 163 Tim 2005-04-10 12:13:40 EDT
I had the assertion errors problem while just getting anaconda to start up (not
even got to the stage of partitioning, etc.).  

It was complaining about one of my drives, one that I wasn't going to install
to, and Linux could have completely ignored it.  Fair enough that it should
complain about partitioning a drive that it's going to use, but not one that's
going to be totally ignored.

/dev/hde  <-- ye olde Windows
/dev/hdf  <-- spare data drive (that anaconda installer hated)
/dev/hdg  <-- to install Fedora to

Mine only needed to write to hde and hdg and could completely ignore hdf, but it
flatly refused to.

I ripped out the offending drive, bunged in something else (a dead drive with no
platters, just the electronics to occupy a space in the IDE master/slave chain),
and I could then install Fedora without problems.

This is a silly solution to a silly problem that should never have happened.
Comment 164 Chris Lumens 2005-04-13 09:54:17 EDT
*** Bug 154629 has been marked as a duplicate of this bug. ***
Comment 165 Jeremy Katz 2005-04-16 09:42:49 EDT
*** Bug 155037 has been marked as a duplicate of this bug. ***
Comment 166 Chris Lumens 2005-04-18 10:08:32 EDT
*** Bug 155205 has been marked as a duplicate of this bug. ***
Comment 167 Jeremy Katz 2005-04-20 10:59:20 EDT
*** Bug 155454 has been marked as a duplicate of this bug. ***
Comment 168 Chris Lumens 2005-04-26 11:17:19 EDT
*** Bug 155996 has been marked as a duplicate of this bug. ***
Comment 169 Scott Degen 2005-04-28 13:34:50 EDT
I have the same error.  I have an 80 gb hard drive with XP SP2 installed on it
(using a system restore CD that came with my OEM computer- I'm pretty sure it
used ghost to 'restore' my computer) and a 40gb hard drive (which I plan to put
FC3 on) that was installed in my computer AFTER I used the system restore CD.  I
get the same error, and can use the 'ignore' button until it eventually won't
let me partition hdb.  The 40 gig was partitioned as NTFS for awhile, but I used
anaconda to delete the partition on hdb.  Is there any way for me to get around
this problem without messing up my XP partition on hda?
Comment 170 Uwe Waechter 2005-04-30 07:56:10 EDT
Hi,
I had this problem on several notebooksand on my server.
But it was easy to fix :-)

- Only boot a knoppix cd ( I used 3.4 )
- run cfdisk as root
- only write the partition table
- reboot

The Win XP runs and it is now possible to install FC3

regards
Uwe
Comment 171 Chris Lumens 2005-05-10 13:16:24 EDT
*** Bug 145618 has been marked as a duplicate of this bug. ***
Comment 172 Jeremy Katz 2005-05-10 15:32:47 EDT
*** Bug 157335 has been marked as a duplicate of this bug. ***
Comment 173 Chris Lumens 2005-05-16 09:52:01 EDT
*** Bug 157765 has been marked as a duplicate of this bug. ***
Comment 174 Jeremy Katz 2005-05-19 08:22:41 EDT
*** Bug 158163 has been marked as a duplicate of this bug. ***
Comment 175 Jeremy Katz 2005-05-19 08:24:21 EDT
*** Bug 158156 has been marked as a duplicate of this bug. ***
Comment 176 Chris Lumens 2005-06-10 09:42:47 EDT
*** Bug 160032 has been marked as a duplicate of this bug. ***
Comment 177 Chris Lumens 2005-06-21 16:10:58 EDT
*** Bug 161259 has been marked as a duplicate of this bug. ***
Comment 178 Jeremy Katz 2005-07-08 14:57:55 EDT
*** Bug 147301 has been marked as a duplicate of this bug. ***
Comment 179 Chris Lumens 2005-08-18 09:42:11 EDT
*** Bug 166215 has been marked as a duplicate of this bug. ***
Comment 180 Maurizio Orbisaglia 2005-08-18 16:34:36 EDT
I have the same problem with two bugs during the choice of keyboard type:
1)Assertion (heads>0) at disk_dos.c:485 in function probe_partition_for_geom() 
failed.
2)Assertion (sectors<=63) at disk_dos.c:490 in function probe_partition_for_geom
() failed.

I have a Pentium II 266MHz and two hard disks.
In the first hard disk of 4 Mb i have installed Windows 98.
The second hard disk of 30 Gb has 4 partition dos.

IMPORTANT:
My Pc couldn't see the second hard disk but now the tecnic has found the 
tecnique to see it.
Comment 181 Maurizio Orbisaglia 2005-08-18 16:48:17 EDT
Created attachment 117883 [details]
Failure of installation file

By Orbisaglia Maurizio
Comment 182 Jeremy Katz 2005-08-23 22:28:12 EDT
*** Bug 166631 has been marked as a duplicate of this bug. ***
Comment 183 Maurizio Orbisaglia 2005-08-29 13:37:40 EDT
I have solved this bug of installation of Fedora Core 3.
I have deleted some partition of the Hard disk of 30Gb (remaining with two
partition) and then a have installed normally Fedora without format the hard
disk wich was formatted and partitioned by Disk Druid.
                    Regards
                          Maurizio Orbisaglia
Comment 184 Chris Lumens 2005-10-07 14:25:07 EDT
*** Bug 169421 has been marked as a duplicate of this bug. ***
Comment 185 Jeffery Fernandez 2005-11-18 03:47:10 EST
The comment by Philip Jones worked for me:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=138419#c127

It is best to check with the hard-drive manufacture to get the correct Logical
CHS configuration. CHS stands for Cylinders Head Sectors. Most hard-drive
manufactures will have a spec sheet on their websites listing the correct CHS
values.

cheers,
Jeffery
Comment 186 Paulo Silveira 2006-03-04 00:24:01 EST
During the installation of Fedora Core 4 I got the same error reported here, 
but with some different numbers:

Assertion (head_size <= 63) at disk_dos.c:580 in function 
prob_partition_for_geom() failed

after clicking [ignore]
Assertion (sectors <= 63) at disk_dos.c:590 in  function 
prob_partition_for_geom() failed

after clicking [ignore]
Assertion ((C * heads + H) * sectors + S == A at disk_dos.c:593

After clicking [ignore] repeatdly, I went through the same messages a couple 
of times and then an hourglass started spinning for more than 5 minutes; no 
lights on on the CD drive or on the HD.  CTRL-ALT-DEL did not respond. I 
aborted the installation holding the power buttom of the computer.  

I am a Fedora first user, who is tired of Windows stuff (with which I have 
lived since the version 3.11).  No doubt, Win XP is today more powerful than 
the old 3.11... for the good and for the bad.  I had enough of its bad side, 
thus I am migrating to Fedora. However, some of the instructions above cannot 
help me because I do not know how to execute some of them. Among the ones I 
understood, I do not know what I should try first. 

My system is a HP Pavilion 514n, which have become a constant headache. After 
its last crash (two weeks ago) I bought a set of CDs for "Disk Recovery". This 
set was very useful, since I had to use it 4 times already. I am not going to 
tell you all the story; I will only say that each "recovery" takes 3 hours or 
so and may return in a variety of flavors - not recognizing the mouse, or 
crashing with the video card, or even not finding the "operational system" 
after the first boot.  However, it seems that it is not a hardware failure, 
since Knoppix live CD can boot correctly.  Interestingly, it was after I tried 
Knoppix that the "recovery" succeeded.  Can it be that Windows did something 
weird with my BIOS and Knoppix fixed it? 

Although my Windows seems to be finaly back to normal, its "normal" state does 
not make me feel like safe. Windows is installed in the original HD 60Gb 
(Samsung SV0602H). I added a Western Digital 80Gb (WDC WD800JB), which is 
presently formated as NTSF, on which I intend to put Fedora.  

My plan is to install Fedora in the West 80Gb HD, maintaining Windows while I 
learn how to use Fedora.  I will put my data on the West HD and I hope Windows 
will be able to "see" them, since it will be transformed in a FAT 32 
partition.  If this is possible, I can work under Fedora as much as possible 
(for instance, working on Open Office), but if I get stuck I can reboot with 
Windows and finish some urgent work. 

Oddly, the Western HD could only be connected as the 2nd slave; I couldn't 
find any combination of jumpers that could make it get along with the 
Samsung.  When I try the West as the 1st slave, the BIOS does not find any HD 
and a "no operational system" message appears.  However, my CD-ROM/burner 
combo (PHILIPS CDD5301) is the 2nd master, from where Knoppix booted; I hope 
my computer can boot from the 2nd IDE and Fedora will control a dual boot from 
there.  

Please, help me out of Windows!!! 
Comment 187 Chris Lumens 2006-03-06 09:36:01 EST
*** Bug 184030 has been marked as a duplicate of this bug. ***
Comment 188 Jeremy Katz 2006-04-19 11:09:47 EDT
*** Bug 188907 has been marked as a duplicate of this bug. ***
Comment 189 Breno Leitao 2007-03-09 09:11:23 EST
I got a similar problem in the RHEL4.5.

Note You need to log in before you can comment on or make changes to this bug.